// @flow
import React from 'react';
import { renderSnapshot } from '../../../../utils/tests';
import { FilterIcon } from '.';

describe('FilterIcon', () => {
  describe('snapshot', () => {
    it('default colorName matches the previous snapshot', () => {
      const filterIcon = renderSnapshot(<FilterIcon />);
      expect(filterIcon).toMatchSnapshot();
    });

    it('custom colorName matches the previous snapshot', () => {
      const filterIcon = renderSnapshot(
        <FilterIcon colorName="brand-primary-base" />,
      );
      expect(filterIcon).toMatchSnapshot();
    });
  });
});
